/*
 * $Id: math.h,v 0.3 1991/09/15 10:14:45 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  math.h
 *	ANSI-fied version of /usr/include/math.h
 */

#ifndef  _MATH_H_ALREADY_INCLUDED__
#define  _MATH_H_ALREADY_INCLUDED__


/* Sigh! math.h uses these... */
#ifdef  __STDC__

#	ifdef  __mc68000__
#		define mc68000
#	endif

#	if defined (__sparc__) && ! defined (sparc)
#		define sparc
#	endif

#	ifdef  __i386__
#		define i386
#	endif

#endif  __STDC__


#include "/usr/include/math.h"


#ifdef  __STDC__
#	undef mc68000
#	undef sparc
#	undef i386
#endif

#ifndef M_PI
#define	M_PI	3.14159265358979323846
#endif

#endif  _MATH_H_ALREADY_INCLUDED__
