/*
 * $Id: misc.h,v 0.4 1991/09/15 10:14:42 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  ansi-include/misc.h
 *		Declare som assorted functions that don't belong
 *		anywhere else.
 */


#ifndef  _DECLARE_SOME_FUNCTIONS__
#define  _DECLARE_SOME_FUNCTIONS__

extern void
bzero(char *b,
      int length);


extern void
bcopy(char *b1,
      char *b2,
      int length);

extern int
bcmp(char *b1,
     char *b2,
     int length);

extern void usleep (unsigned useconds);

extern int   getdtablesize (void);
extern char *crypt (const char *, const char *);

#endif  /* _DECLARE_SOME_FUNCTIONS__ */
