/*
 * $Id: time.h,v 0.2 1991/09/15 10:15:28 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * sys/time.h
 */

#ifndef _SYS_TIME_H_IS_ALREADY_INCLUDED__

#define _SYS_TIME_H_IS_ALREADY_INCLUDED__

#include "/usr/include/sys/time.h"


extern int
gettimeofday(struct timeval *tp,
	     struct timezone *tzp);

extern int
settimeofday(struct timeval *tp,
	     struct timezone *tzp);

#endif /* _SYS_TIME_H_IS_ALREADY_INCLUDED__ */
