/*
 * $Id: signal.h,v 1.1 1992/04/14 19:20:02 ceder Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 *  signal.h
 *	Declare functions and macros for use with signals.
 */

#ifndef  _SIGNAL_H_ALREADY_INCLUDED__
#define  _SIGNAL_H_ALREADY_INCLUDED__


#include "/usr/include/signal.h"

#undef SIG_ERR
#undef SIG_DFL
#undef SIG_IGN
#undef SIG_HOLD
#define	SIG_ERR		(void (*)(int))-1
#define	SIG_DFL		(void (*)(int))0
#define	SIG_IGN		(void (*)(int))1
#define	SIG_HOLD	(void (*)(int))3

extern  void
raise (int sig);

extern  int
sigblock (int	mask);

extern  int
sigsetmask (int	  mask);


#endif  /* _SIGNAL_H_ALREADY_INCLUDED__ */
