/*
 * This file was found under the name
 * lysator.liu.se::/usr/gnu/lib/gcc-include/sys/fcntlcom.h.
 * It did not contain any copyright notice. I don't know who wrote it.
 * No Copyright is claimed by Lysator for this file. /ceder
 */

/* According to the ANSI-C standard, an unprototyped declaration of a
   function may not preceed or follow a prototyped declaration of that
   same function if the prototype for the function includes an ellipsis.

   In order to avoid running afowl of this rule, this file is provided
   for use with the GNU C compiler when it is installed on SunOS 4.1.
   system.

   This file may be used with the GNU C compiler and may be placed into the
   GNU_LIBDIR/gcc-include directory.  GCC will then use it instead of your
   system's own native <sys/fcntlcom.h> file.

   This file includes your native <sys/fcntlcom.h> file and then makes sure
   that proper prototypes for the `open' and `fcntl' functions are provided.
*/

#ifndef _GNU_SYS_FCNTLCOM_H
#define _GNU_SYS_FCNTLCOM_H

#define open ___open
#define fcntl ___fcntl
#include </usr/include/sys/fcntlcom.h>
#undef open
#undef fcntl

#ifdef __STDC__
#define __(x) x
#else
#define __(x) ()
#endif

extern int open __((const char *, int, ...));
extern int fcntl __((int __des, int __cmd, ...));

#undef __

#endif /* !defined (_GNU_SYS_FCNTLCOM_H) */
