/*
 * $Id: time.h,v 0.2 1991/09/15 10:14:14 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * ansi-include/time.h
 */


#ifndef  _TIME_H_DOESNT_NEED_TO_BE_INCLUDED_ANY_MORE__
#define  _TIME_H_DOESNT_NEED_TO_BE_INCLUDED_ANY_MORE__


#include "/usr/include/sys/types.h"	/* Need time_t */
#include "/usr/include/time.h"		/* struct tm */


extern time_t
time (time_t * timer);

extern char *
ctime (const time_t * timer);

extern	struct tm *
gmtime (const time_t	* timer);

extern  struct tm *
localtime (const time_t   * timer);

extern	char *
asctime (const struct tm  * temeptr);

extern  char *
ctime (const time_t	* timer);

#ifdef __sun__
#define mktime timegm
#endif

extern time_t
mktime (const struct tm  * temeptr );

extern  int
dysize (int	year);

extern	void tzset(), tzsetwall();

extern double
difftime(time_t t1, time_t t2);


#endif  /* _TIME_H_DOESNT_NEED_TO_BE_INCLUDED_ANY_MORE__ */
