/*
 * $Id: sun4os4-config.h,v 1.5 1992/03/31 20:50:29 ceder Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: sun4os4-config.h,v 1.5 1992/03/31 20:50:29 ceder Exp $
 *
 * Configure LysKOM for a Sun Sparc-server running SunOS 4.1.1.
 * This is the configuration we are running at Lysator, so this is
 * fairly well tested.
 */

/*
 * Define BUGGY_INET_NTOA if inet_ntoa is buggy. This is the case for
 * a Sun Sparc with SunOS 4.1.1. If you define BUGGY_INET_NTOA a
 * replacement routine (from libraries/libisc/inet_ntoa.c) will be
 * used.
 */

#define BUGGY_INET_NTOA

#define RFC_931

#define HAVE_GETDTABLESIZE

/* We have LOCALE. */

#define HAVE_LOCALE
#define ENCRYPT_PASSWORDS
